function parse_sp(filename,os)

if nargin<1 | isempty(filename)
	[fname,path]=uigetfile({'*.*'},'Otwrz plik');
	if fname~=0
		filename=[path fname];
	else
		return;
	end;
end

if nargin<2
	os=[];
end

if nargin>2
	return;
end

[in_fid,msg]=fopen(filename,'r');
if in_fid~=-1
	if isempty(os)
		out_filename=filename;
	else
		out_filename=[filename '.' os];
	end;
	[out_fid,msg]=fopen([out_filename '.gin'],'w');
	if out_fid~=-1
		line=' ';
		while ischar(line)==1
			if line(1)=='>'
				if isempty(os) | strfind(line,['OS=' os])
					line=line(5:end);

					index=strfind(line,'|');
					id=line(1:index(1)-1);
					line=line(index(1)+1:end);

					index=strfind(line,' ');
					symbol=line(1:index(1)-1);
					line=line(index(1)+1:end);

					index=strfind(line,'OS=');
					name=line(1:index(1)-1);
	
					desc=line(index(1)+3:end);
	
					fprintf(out_fid,'%s\t%s\t%s\t%s\n',id,symbol,name,desc);
				end;
			end;
			line=fgetl(in_fid);
		end;
		fclose(out_fid);
	end;
	fclose(in_fid);
end;
