function fm=cluster_fm(order1,order2,method);

vectors_nr=length(order1);
clusters_nr1=max(order1);
clusters_nr2=max(order2);

n=zeros(clusters_nr1,clusters_nr2);
for i=1:clusters_nr1
	list=find(order1==i);
	for j=1:clusters_nr2
		n(i,j)=length(find(order2(list)==j));
	end;
end;
np=n.^2;
Z=sum(np(:));

ni=zeros(clusters_nr1,1);
for i=1:clusters_nr1
	ni(i)=sum(n(i,:));
end;
nj=zeros(1,clusters_nr2);
for i=1:clusters_nr2
	nj(i)=sum(n(:,i));
end;

for i=1:clusters_nr1
	ni(i)=0.5*(ni(i)-1)*ni(i);
end;
for i=1:clusters_nr2
	nj(i)=0.5*(nj(i)-1)*nj(i);
end;
fm=(0.5*(Z-vectors_nr))/sqrt(sum(ni)*sum(nj));
