function norm_data=normalize(data,method);

if nargin==1
	method='std';
end;

switch method
	case 'std'
		n=sqrt(var(data',1)');
	case 'mean'
		n=mean(data,2);
	case 'gmean'
		n=gmean(data')';
	case 'median'
		n=median(data,2);
	case 'max'
		n=max(data,[],2);
end;

zeros_list=find(n<2*eps);
n(zeros_list)=1;

norm_data=data;
norm_data(zeros_list,:)=0;

norm_data=data./repmat(n,1,size(data,2));

