function svdec_cb(action);

Array_id=findobj(0,'Tag','ArrayView');
Denoise_id=findobj(0,'Tag','Denoise');
EnthropyEdit_id=findobj(Denoise_id,'Tag','EnthropyEdit');
ProfilePop_id=findobj(Denoise_id,'Tag','ProfilePop');
PercentEdit_id=findobj(Denoise_id,'Tag','PercentEdit');
PercentEdit2_id=findobj(Denoise_id,'Tag','PercentEdit2');
EigenNrEdit_id=findobj(Denoise_id,'Tag','EigenNrEdit');

ExpressionButt_id=findobj(Denoise_id,'Tag','ExpressionButt');
ProfileButt_id=findobj(Denoise_id,'Tag','ProfileButt');
ProfileEdit_id=findobj(Denoise_id,'Tag','ProfileEdit');

switch action
	case 'edit'
		Edit_id=gcbo;
		num=str2num(get(Edit_id,'String'));
		limits=get(Edit_id,'UserData');

		if isempty(num)==1
			num=limits(3);
			beep;
		else
			switch limits(4)
				case 0
					if num<limits(1) | num>limits(2)
						num=limits(3);
						beep;
					end;
				case 1
					if num<=limits(1) | num>=limits(2)
						num=limits(3);
						beep;
					end;
				case 2
					if num<limits(1) | num>=limits(2)
						num=limits(3);
						beep;
					end;
				case 3
					if num<=limits(1) | num>limits(2)
						num=limits(3);
						beep;
					end;
			end;
		end;
		set(Edit_id,'String',num2str(num));

	case 'expression'
		data_struct=get(Denoise_id,'UserData');
		svd_entropy([],1,0.8,data_struct.s,1);

	case 'percent'
		data_struct=get(Denoise_id,'UserData');
		treshold=str2num(get(PercentEdit_id,'String'))/100;
		[e,p,nr]=svd_entropy([],0,treshold,data_struct.s);
		set(PercentEdit2_id,'String',num2str(nr));

	case 'profile'
		plot_profile;

	case 'denoise'
		data_struct=get(Denoise_id,'UserData');

		data=get(Array_id,'UserData');
		data=data_denoise(data,str2num(get(EigenNrEdit_id,'String')),data_struct.u,data_struct.v,data_struct.s);

		set(Array_id,'UserData',data);
		mstat_cb('prepare_data');
		mstat_cb('redraw');
	
		delete(Denoise_id);
end;
