function fsave(data,fname,string_format);

if nargin<2
	error('At least two arguments required');
elseif nargin<3
	string_format='%0.5f\t';
end;

features_count=size(data,1);

fid=fopen(fname,'w');
if fid==-1
	return;
else
	for i=1:features_count
		line=sprintf(string_format,data(i,:));
		line(length(line))=[];
		fprintf(fid,'%s\n',line);
	end;
	fclose(fid);
end;