function [F,p]=mwanova(data,order)

dimension=size(data,1);
p=zeros(dimension,1);
F=zeros(dimension,1);

groups=cell(size(order,2),1);
for i=1:size(order,2)
	groups{i}=order(:,i)';
end;

for i=1:dimension
	[pvals,t]=anovan(data(i,:),groups,'display','off');
	p(i)=pvals(1);
	F(i)=t{2,6};
end;