function [t,p,d]=t_test(data,order,class_index)

if nargin<3
	class_index=[min(order) max(order)];
end;

ind_x=find(order==class_index(1));
ind_y=find(order==class_index(2));

nx=length(ind_x);
ny=length(ind_y);

x=data(:,ind_x)';
y=data(:,ind_y)';

difference=mean(x)-mean(y);
df=nx+ny-2;
polled_var=(var(x)*(nx-1)+var(y)*(ny-1))*(1/nx+1/ny)/df;

t=(difference./sqrt(polled_var))';

if nargout>1
	p=1-tcdf(t,df);
	p=2*min(p,1-p);

	if nargout>2
		d=abs(t)*sqrt((nx+ny)/(nx*ny));
	end;
end;