/* istvan.h: Type declarations used in istvan.c */
/* Rune Lyngs, March 2004 */
#ifndef _ISTVAN_H
#define _ISTVAN_H

#define _ISTVAN_CONVERGENCETHRESHOLD 0.001
#define _ISTVAN_SMOOTHWEIGHT 0
#define _ISTVAN_LOESSINTERVALS 50

typedef enum _Method {IGNBISQUARE, GLOBAL, ITERATEDRANKSELECTION,
		      ORDERSELECTION, RELIABILITY, RANKSELECTION,
		      SIGMOIDEDRELIABILITY, IGNNORMAL} Method;
typedef enum _Function {LOESS, POLYNOMIAL} Function;

#endif
