function [norm_data,ref_cell]=data_arraynorm_irs(data,labels,names)

groups=unique(labels);
groups_count=length(groups);

%szukanie probek referencyjnych w grupach
ref_cell=find_ref(labels,names);

ref_idx=[];
for i=1:groups_count
    ref_idx=[ref_idx ref_cell{i}];
end
%ref_idx=[1 19 37];
%ref_idx=[7 14 21];

%wyrowanie poziomow w ramach grup (podzielenie przez sume zliczen odeniesiona do sredniej sumy)
target=nan_sum(data,1);
target(ref_idx)=[];
target=mean(target);

ss=target./nan_sum(data,1);
data=data.*repmat(ss,size(data,1),1);

%wyznaczenie poziomow odniesienia dla grup (probki referencyjne podzielone przez ich srednia geometryczna)
ref=zeros(size(data,1),groups_count);
for i=1:groups_count
    ref(:,i)=mean(data(:,ref_cell{i}),2);
end   
refm=nan_gmean(ref,2);

ref=ref./repmat(refm,1,groups_count);

%wyzna poziomow pomiedzy grupami (podzielenie przez poziomy odniesiania dla grup)
for i=1:groups_count
    idx=find(labels==groups(i));
    data(:,idx)=data(:,idx)./repmat(ref(:,i),1,length(idx));
end

norm_data=data;
return

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function ref=find_ref(labels,names)

groups=unique(labels);
groups_count=length(groups);

ref=cell(1,groups_count);

for i=1:groups_count
    group_idx=find(labels==groups(i));

    group_ref=[];
    for j=1:length(group_idx)
        name=upper(names{group_idx(j)});
        if ~isempty(strfind(name,'IS_'))
            group_ref(end+1)=group_idx(j);
        end
    end
    ref{i}=group_ref;
end
return

