function plot_iqr(data);

PlotIQR_id=figure('Units','pixels',...
			'Visible','on',...
			'Color',get(0,'defaultUicontrolBackgroundColor'),...
			'NumberTitle','off',...
			'MenuBar','none',...
			'Resize','off',...
			'Name','Posortowane wartoci IQR cech',...
			'KeyPressFcn',@figure_kb_cb,...
			'Tag','PlotIQR');

FileMenu_id=uimenu('Label','&Plik');
uimenu(FileMenu_id,'Label','&Zapisz...','CallBack','figsave_cb');
uimenu(FileMenu_id,'Label','&Zamknij','Separator','on','CallBack','delete(gcbf)');

Array_id=findobj(0,'Tag','ArrayView');
data=get(Array_id,'UserData');

iqrange=iqr(data');
[iqrange index]=sort(iqrange);
plot(iqrange);
set(gca,'XLim',[1 length(iqrange)],'FontSize',8,'box','on');
xlabel('Numer cechy');
ylabel('IQR');