level=0.4;
f=0.5;
robust=1;

x=[0:0.01:4];
index=[1:10:length(x)];
nodes_x=x(index);

y=exp(-1*x)+level*rand(size(x));
nodes_y=y(index);

s1=cloess(x,y,f,robust,2,nodes_x,nodes_y);
if robust==0
	s2=smooth(x,y,f,'loess')';
else
	s2=smooth(x,y,f,'rloess')';
end;

hold on;
plot(x,y,'x');
plot(nodes_x,nodes_y,'o');
plot(x,s2,'k');
plot(x,s1,'r');
hold off;

mean(abs(s1-s2))
max(abs(s1-s2))