function m=nan_trimmean(data,percent,dim)

if nargin==1
	percent=4;
	dim=-1;
end;
if nargin==2
	dim=-1;
end;

if nargin==1
	dim=-1;
end;

if dim==-1
	if (size(data,1)==1)
		dim=2;
	else
		dim=1;
	end;
end;

nan_index=isnan(data);

if dim==2
	m=zeros(size(data,1),1);
	for i=1:size(data,1)
		index=find(nan_index(i,:)==0);
		if length(index)>0
			m(i)=trimmean(data(i,index),percent);
		else
			m(i)=NaN;
		end;
	end;
else
	m=zeros(1,size(data,2));
	for i=1:size(data,2)
		index=find(nan_index(:,i)==0);
		if length(index)>0
			m(i)=trimmean(data(index,i),percent);
		else
			m(i)=NaN;
		end;
	end;
end;