function [d,p,nr]=svd_entropy(data,plt,treshold,s,pc)

if nargin<1
	error('The function needs al least one argument');
end;
if nargin==1
	plt=0;
	treshold=0.8;
	s=[];
	pc=0;
end;
if nargin==2
	treshold=0.8;
	s=[];
	pc=0;
end;

if nargin==3
	s=[];
	pc=0;
end;

if nargin==4
	pc=0;
end;

if isempty(s)
	[u,s,v]=svd(data,0);
end;

diagonal=diag(s);
p=diagonal.^2;
p=p/sum(p);

d=-1/log10(length(p))*sum(p.*log10(p));

sum_p=0;
for nr=1:length(p)
	sum_p=sum_p+p(nr);
	if sum_p>=treshold;
		break;
	end;
end;

if plt==1
	Plot_id=figure('Units','pixels', ...
		'Visible','on',...
		'Color',get(0,'defaultUicontrolBackgroundColor'),...
		'NumberTitle','off', ...
		'Resize','off',...
		'MenuBar','none', ...
		'Name','Wzgldny udzia skadowych w warinacji',...
		'Tag','PlotEigen');

	FileMenu_id=uimenu('Label','&Plik');
	uimenu(FileMenu_id,'Label','&Zapisz...','CallBack','figsave_cb');
	uimenu(FileMenu_id,'Label','&Zamknij','Separator','on','CallBack','delete(gcbf)');

	bar(p,1);
	set(gca,'XLim',[0.5 length(find(diagonal~=0))+0.5],'box','on','FontName','Arial CE','FontSize',9);
	xlabel('Numer skadowej');
	ylabel('Wzgldny udzia w warinacji');
end;